/* Contenedor principal */
.dropdown-checkbox-container {
  position: relative;
  display: inline-block;
  width: 100%;
}

/* Dropdown y su botón */
.dropdown {
  position: relative; /* Necesario para el posicionamiento relativo del menú */
}

.dropdown-checkbox-label {
  display: block;
  color: var(--gray-2);
}

.dropdown-toggle {
  width: 100%;
  text-align: left;
  padding: 8px 11px 7px;
  color: var(--black-2); /* Negro 2 */
  background-color: transparent;
  border: none;
  border-bottom: 1px solid var(--gray-4);
}

.dropdown-toggle:not(:disabled):hover,
.dropdown-toggle:not(:disabled):focus {
  border-bottom: 1px solid var(--orange-infolaft);
}

/* Menú desplegable */
.dropdown-menu {
  position: absolute;
  top: 100%;
  left: 0;
  z-index: 1050;
  margin: 0px;
  overflow-y: auto; /* Scroll si excede altura */
  background-color: var(--white);
  width: 100%;
  border-radius: 0px 0px 4px 4px;
  box-shadow: 0px 3px 6px #00000029;
}

/* Elementos del menú */
.dropdown-item {
  display: block;
  padding-left: 15px;
  cursor: pointer;
}

.checkbox-atom-container,
.label_item {
  display: inline-block;
  vertical-align: middle;
  margin: 0px;
}

.dropdown-menu .dropdown-item label:hover {
  background-color: var(--input-press);
}

/* Hover y selección de item */
.dropdown-submenu .dropdown-item:hover {
  background-color: var(--input-press);
}

/* Submenú (opciones anidadas) */
.dropdown-submenu {
  list-style-type: none; /* Eliminar viñetas */
  margin: 0;
  padding-left: 10px; /* Indentación para diferenciar los elementos hijos */
  padding-top: 5px;
  padding-bottom: 5px;
}

.dropdown-submenu .dropdown-item {
  padding: 0px 15px; /* Padding más pequeño que el nivel superior */
  margin-bottom: 5px;
}

/* Reglas específicas para la altura máxima y scroll en el menú */
.dropdown-checkbox-container .dropdown-menu {
  overflow: visible !important;
  position: absolute !important;
}

/*  Dropdown disabled */
.dropdown-toggle:disabled {
  cursor: not-allowed;
  opacity: 0.6; /* Ejemplo de estilo para disabled */
}

/* Estilos “Resumen” */
.state-resumen .dropdown-checkbox-label {
  /* Cambiamos fuente, color, espaciado, etc. */
  font-family: 'Roboto', sans-serif;
  font-size: 14px;
  font-weight: 400; /* Regular */
  line-height: 20px;
  letter-spacing: 0;
  color: var(--gray-2);  
}

.state-resumen .dropdown-toggle {
  border-bottom: none
}

/* Estilos “Complete” */
.state-complete .dropdown-checkbox-label {
  color: var(--gray-2);
  font-size: 14px;
  font-weight: 400;
}

.state-complete .dropdown-toggle {
  border-bottom: 1px solid var(#E6E8E8); 
  color: var( --black-2);
  font-weight: 400; 
}